﻿@model SYM.WebApp.Models.ChangePasswordViewModel

@using (Ajax.BeginForm("ChangePassword", "Profile", 
    new AjaxOptions {
    HttpMethod = "POST",
    InsertionMode = InsertionMode.Replace,
    UpdateTargetId = "tab_1_3"}
))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary("", new { @class = "text-danger" })
    <div class="form-group">
        <label class="control-label">Current Password</label>
        @Html.PasswordFor(m => m.OldPassword, new { @class = "form-control", required="required" })
    </div>
    <div class="form-group">
        <label class="control-label">New Password</label>
        @Html.PasswordFor(m => m.NewPassword, new { @class = "form-control", required = "required", maxlentgh = "10", placeholder = "Type your Password" })
    </div>
    <div class="form-group">
        <label class="control-label">Re-type New Password</label>
        @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", required="required", maxlentgh="10", placeholder="Re-type your Password" })
    </div>
    <div class="margin-top-10">
        <a href="javascript:;" class="btn default">
            @SYM.Localization.Resources.Views.Profile.Settings.Cancel
        </a>
        <button type="submit" class="btn green-meadow">Change Password</button>
        <span style="float: right;">
            Last Modify: @ViewBag.dateMod
        </span>
    </div>
}